com.fasterxml.jackson.databind.introspect

## Class POJOPropertyBuilder.Linked<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.POJOPropertyBuilder.Linked<T>

Enclosing class:
  POJOPropertyBuilder

    protected static final class POJOPropertyBuilder.Linked<T>
    extends Object

Node used for creating simple linked lists to efficiently store small sets of things.

### Field Summary

Fields
`boolean` `isMarkedIgnored`
`boolean` `isNameExplicit`
`boolean` `isVisible`
`PropertyName` `name`
`POJOPropertyBuilder.Linked<T>` `next`
`T` `value`

### Constructor Summary

Constructors
Constructor and Description
`Linked(T v, POJOPropertyBuilder.Linked<T> n, PropertyName name, boolean explName, boolean visible, boolean ignored)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected POJOPropertyBuilder.Linked<T>` `append(POJOPropertyBuilder.Linked<T> appendable)` Method called to append given node(s) at the end of this node chain.
`String` `toString()`
`POJOPropertyBuilder.Linked<T>` `trimByVisibility()`
`POJOPropertyBuilder.Linked<T>` `withNext(POJOPropertyBuilder.Linked<T> newNext)`
`POJOPropertyBuilder.Linked<T>` `withoutIgnored()`
`POJOPropertyBuilder.Linked<T>` `withoutNext()`
`POJOPropertyBuilder.Linked<T>` `withoutNonVisible()`
`POJOPropertyBuilder.Linked<T>` `withValue(T newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### value

    public final T value

#### next

    public final POJOPropertyBuilder.Linked<T> next

#### name

    public final PropertyName name

#### isNameExplicit

    public final boolean isNameExplicit

#### isVisible

    public final boolean isVisible

#### isMarkedIgnored

    public final boolean isMarkedIgnored

### Constructor Detail

#### Linked

    public Linked(T v,
                  POJOPropertyBuilder.Linked<T> n,
                  PropertyName name,
                  boolean explName,
                  boolean visible,
                  boolean ignored)

### Method Detail

#### withoutNext

    public POJOPropertyBuilder.Linked<T> withoutNext()

#### withValue

    public POJOPropertyBuilder.Linked<T> withValue(T newValue)

#### withNext

    public POJOPropertyBuilder.Linked<T> withNext(POJOPropertyBuilder.Linked<T> newNext)

#### withoutIgnored

    public POJOPropertyBuilder.Linked<T> withoutIgnored()

#### withoutNonVisible

    public POJOPropertyBuilder.Linked<T> withoutNonVisible()

#### append

    protected POJOPropertyBuilder.Linked<T> append(POJOPropertyBuilder.Linked<T> appendable)

Method called to append given node(s) at the end of this node chain.

#### trimByVisibility

    public POJOPropertyBuilder.Linked<T> trimByVisibility()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`